osl::EffectContent Class Reference

`#include <effectContent.h>`

## Public Member Functions

| EffectContent ()
| EffectContent (Offset offset)
bool | hasEffect () const
| 短い利きがあるか，間がemptyなら長い利きがある
bool | hasUnblockableEffect () const
| 短い利きがある．長い利きの隣も含む
const Offset | offset () const
| 返り値が0なら長い利きがない, 0以外なら辿るのに必要なoffset (2005/3/25 に仕様変更 - 長い利きだが隣の場合もoffsetを返す)
bool | hasBlockableEffect () const
| 2005/3/25に変更.
int | intValue () const

## Static Public Member Functions

static const EffectContent | DIRECT ()
static const EffectContent | DIRECT (Offset offset)
| 隣だが，offsetも与える

## Private Member Functions

| EffectContent (int value)

## Private Attributes

int | effect

## Detailed Description

Definition at line 10 of file effectContent.h.

## Constructor & Destructor Documentation

## EffectContent() [1/3]

osl::EffectContent::EffectContent | ( | int | value | ) |

inline private

Definition at line 13 of file effectContent.h.

References effect.

Referenced by DIRECT(), and DIRECT().

## EffectContent() [2/3]

osl::EffectContent::EffectContent | ( |  | ) |

inline

Definition at line 17 of file effectContent.h.

References effect.

Referenced by DIRECT(), and DIRECT().

## EffectContent() [3/3]

osl::EffectContent::EffectContent | ( | Offset | offset | ) |

inline explicit

Definition at line 20 of file effectContent.h.

References effect, intValue(), and offset().

## Member Function Documentation

## DIRECT() [1/2]

const EffectContent osl::EffectContent::DIRECT | ( |  | ) |

inline static

Definition at line 24 of file effectContent.h.

References EffectContent(), and EffectContent().

Referenced by osl::PtypeTable::init(), and osl::PtypeTable::PtypeTable().

## DIRECT() [2/2]

const EffectContent osl::EffectContent::DIRECT | ( | Offset | offset | ) |

inline static

隣だが，offsetも与える

Definition at line 28 of file effectContent.h.

References EffectContent(), EffectContent(), and offset().

## hasBlockableEffect()

bool osl::EffectContent::hasBlockableEffect | ( |  | ) | const

inline

2005/3/25に変更.

Definition at line 48 of file effectContent.h.

References effect.

## hasEffect()

bool osl::EffectContent::hasEffect | ( |  | ) | const

inline

短い利きがあるか，間がemptyなら長い利きがある

Definition at line 34 of file effectContent.h.

References effect.

## hasUnblockableEffect()

bool osl::EffectContent::hasUnblockableEffect | ( |  | ) | const

inline

短い利きがある．長い利きの隣も含む

Definition at line 38 of file effectContent.h.

References effect.

Referenced by osl::checkmate::Dfpn::attack().

## intValue()

int osl::EffectContent::intValue | ( |  | ) | const

inline

Definition at line 51 of file effectContent.h.

References effect.

Referenced by EffectContent(), osl::operator<(), and osl::operator==().

## offset()

const Offset osl::EffectContent::offset | ( |  | ) | const

inline

返り値が0なら長い利きがない, 0以外なら辿るのに必要なoffset (2005/3/25 に仕様変更 - 長い利きだが隣の場合もoffsetを返す)

Definition at line 44 of file effectContent.h.

References effect, and osl::Offset::makeDirect().

Referenced by DIRECT(), and EffectContent().

## Member Data Documentation

## effect

int osl::EffectContent::effect

private

Definition at line 12 of file effectContent.h.

Referenced by EffectContent(), EffectContent(), EffectContent(), hasBlockableEffect(), hasEffect(), hasUnblockableEffect(), intValue(), and offset().

The documentation for this class was generated from the following file:

- effectContent.h